from fastapi import APIRouter
from app.core.config import settings
from app.api.routes import assets, exchanges, markets, rates, health

api_router = APIRouter()

# Include the health check endpoint
api_router.include_router(health.router, tags=["Health"])

# Include all the API routes
api_router.include_router(assets.router, prefix=f"{settings.API_V1_STR}/assets", tags=["Assets"])
api_router.include_router(exchanges.router, prefix=f"{settings.API_V1_STR}/exchanges", tags=["Exchanges"])
api_router.include_router(markets.router, prefix=f"{settings.API_V1_STR}/markets", tags=["Markets"])
api_router.include_router(rates.router, prefix=f"{settings.API_V1_STR}/rates", tags=["Rates"])